---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libsetlocal001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4EF78, symBinAddr: 0xC348, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x50EB8, symBinAddr: 0xE288, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x512A0, symBinAddr: 0xE670, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52240, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52248, symBinAddr: 0xF618, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EA80, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EA84, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EA88, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4EBD8, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4EC90, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4EC94, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4EC98, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4EC9C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4ECA0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4ECA8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4ECC0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4ECC8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4ECD0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4ECD8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4ECE0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4ED24, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL4mid1, symObjAddr: 0x4ED28, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL8floatVal, symObjAddr: 0x4ED30, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x90E7, offset: 0x90E7, size: 0x8, addend: 0x0, symName: __ZL9doubleVal, symObjAddr: 0x4ED38, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9100, offset: 0x9100, size: 0x8, addend: 0x0, symName: __ZL4mid2, symObjAddr: 0x4ED40, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL4mid3, symObjAddr: 0x4ED48, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL6objVal, symObjAddr: 0x4ED50, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL6arrVal, symObjAddr: 0x4ED58, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x9164, offset: 0x9164, size: 0x8, addend: 0x0, symName: __ZL4mid4, symObjAddr: 0x4ED60, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x917D, offset: 0x917D, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4ED68, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x9196, offset: 0x9196, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4ED70, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x91AF, offset: 0x91AF, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4ED80, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x9201, offset: 0x9201, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3EC8, symSize: 0xA0 }
  - { offsetInCU: 0x9296, offset: 0x9296, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3EA0, symSize: 0x28 }
  - { offsetInCU: 0x92F9, offset: 0x92F9, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3E20, symSize: 0x80 }
  - { offsetInCU: 0x958D, offset: 0x958D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3F68, symSize: 0x20C }
  - { offsetInCU: 0x9746, offset: 0x9746, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x4174, symSize: 0x28 }
  - { offsetInCU: 0x980F, offset: 0x980F, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x419C, symSize: 0xB0 }
  - { offsetInCU: 0x9906, offset: 0x9906, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x424C, symSize: 0xD8 }
  - { offsetInCU: 0x9A2B, offset: 0x9A2B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4324, symSize: 0x24 }
  - { offsetInCU: 0x9B2E, offset: 0x9B2E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x4348, symSize: 0x168 }
  - { offsetInCU: 0x9D0A, offset: 0x9D0A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x44B0, symSize: 0x104 }
  - { offsetInCU: 0x9E87, offset: 0x9E87, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x45B4, symSize: 0x154 }
  - { offsetInCU: 0xA06B, offset: 0xA06B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4708, symSize: 0xAC }
  - { offsetInCU: 0xA140, offset: 0xA140, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x47B4, symSize: 0x14 }
  - { offsetInCU: 0xA179, offset: 0xA179, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x47C8, symSize: 0x14 }
  - { offsetInCU: 0xA1B2, offset: 0xA1B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x47DC, symSize: 0x14 }
  - { offsetInCU: 0xA373, offset: 0xA373, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x47F0, symSize: 0x1A8 }
  - { offsetInCU: 0xA687, offset: 0xA687, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4998, symSize: 0x9C }
  - { offsetInCU: 0xA744, offset: 0xA744, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4A34, symSize: 0x690 }
  - { offsetInCU: 0xB2D6, offset: 0xB2D6, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9B34, symBinAddr: 0x6634, symSize: 0x30 }
  - { offsetInCU: 0xB362, offset: 0xB362, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x50C4, symSize: 0x74 }
  - { offsetInCU: 0xB43E, offset: 0xB43E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5138, symSize: 0xB0 }
  - { offsetInCU: 0xB569, offset: 0xB569, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x51E8, symSize: 0x3C }
  - { offsetInCU: 0xB65F, offset: 0xB65F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5224, symSize: 0x29C }
  - { offsetInCU: 0xB9A2, offset: 0xB9A2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x54C0, symSize: 0xD0 }
  - { offsetInCU: 0xBAD0, offset: 0xBAD0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5590, symSize: 0xC }
  - { offsetInCU: 0xBB92, offset: 0xBB92, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x559C, symSize: 0x22C }
  - { offsetInCU: 0xBE4D, offset: 0xBE4D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x57C8, symSize: 0x4 }
  - { offsetInCU: 0xBE91, offset: 0xBE91, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x57C8, symSize: 0x4 }
  - { offsetInCU: 0xBEA3, offset: 0xBEA3, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x57CC, symSize: 0x180 }
  - { offsetInCU: 0xC072, offset: 0xC072, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E4C, symBinAddr: 0x594C, symSize: 0x4 }
  - { offsetInCU: 0xC0B6, offset: 0xC0B6, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8E4C, symBinAddr: 0x594C, symSize: 0x4 }
  - { offsetInCU: 0xC289, offset: 0xC289, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x8E50, symBinAddr: 0x5950, symSize: 0xA18 }
  - { offsetInCU: 0xCD2C, offset: 0xCD2C, size: 0x8, addend: 0x0, symName: __ZL11check_error10jvmtiErrorbPKc, symObjAddr: 0x9868, symBinAddr: 0x6368, symSize: 0x60 }
  - { offsetInCU: 0xCDA0, offset: 0xCDA0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetLocalVariable_setlocal001_getMethReady, symObjAddr: 0x98C8, symBinAddr: 0x63C8, symSize: 0x254 }
  - { offsetInCU: 0xD0D0, offset: 0xD0D0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_SetLocalVariable_setlocal001_getRes, symObjAddr: 0x9B1C, symBinAddr: 0x661C, symSize: 0x18 }
  - { offsetInCU: 0xD10A, offset: 0xD10A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9B64, symBinAddr: 0x6664, symSize: 0x358 }
...
